This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 79458 - NFS install via iso images crashes
NFS install via iso images crashes
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-11 14:57 EST by Need Real Name
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-21 12:53:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-12-11 14:57:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:0.9.4.1)
Gecko/20020314 Netscape6/6.2.2

Description of problem:
When you install RH80 text based from an NFS server that has the iso-images in
the nfs-directory anaconda shows in a custom installation strange entries in the
package group selection screen. On hitting the page-down button the system
crashes with a signal 11 error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH80 on a system via NFS text based (haven't tried graph)
2. On the NFS directory are the iso-images of the distro
3. Fil in all the forms until you reach the package group selection screen
4. You don't seen package groups displayed here but a list of included
documentaion guides.
5. hit <page-down> in this screen and the system crashes.
	

Actual Results:  Crash not beeing able to finish the installation 

Expected Results:  Should be able to select packages and proceed installation.

Additional info:

I have tried this on two different computers. Both gave the same problem. 
On installation over NFS with a normal installation directory (ea. RedHat/RPMS
and RedHat/base structure)on the NFS server) you don't see this problem. My
conclusion: it is related to the iso-image installation procedure.
Comment 1 Michael Fulbright 2002-12-16 22:23:38 EST
Make sure you only have the ISO images for discs 1, 2 and 3 and no other ISO
images in the directory.
Comment 2 Need Real Name 2002-12-23 10:36:17 EST
The docs ISO-image makes the difference. If that one is in the install directory
you see the doc-guides as packages. Isn't it possible to make the system that
smart, that it recognizes this situation??

This doesn't account for the crash however. It appearce that if there are only
one screen full of packages (so there is no "second page") the system crashes if
you hit the <page-down>-button. This situation here only arises here in a
errorrous situation, but exectly there a user doesn't like to face system crash.
Comment 3 Jeremy Katz 2003-01-10 02:14:53 EST
Our current codebase handles the case of the docs iso being in the same directory.
Comment 4 Mike McLean 2003-01-21 12:53:18 EST
confirmed fix in Phoebe public beta 2

Note You need to log in before you can comment on or make changes to this bug.